@echo off
setlocal enabledelayedexpansion

REM Define the folder containing the .uasset files
set "UASSET_DIR=INSERT PATH HERE"

REM Define the path to uassetgui.exe
set "UASSETGUI_PATH=INSERT PATH TO UASSETGUI.EXE HERE"

REM Loop through all .uasset files in the directory
for %%F in ("%UASSET_DIR%\*.uasset") do (
    REM Get the full file path
    set "INPUT_FILE=%%F"
    REM Get the filename without extension
    for %%A in ("%%~nF") do (
        set "FILENAME=%%~nA"
    )
    REM Construct the output JSON filename
    set "OUTPUT_FILE=%UASSET_DIR%\!FILENAME!.json"
    
    REM Run the command
    "%UASSETGUI_PATH%" tojson "!INPUT_FILE!" "!OUTPUT_FILE!" VER_UE4_24
)

echo Processing completed.
pause
